Package com.mapd.thrift.server

## Class TTablePermissions

- java.lang.Object
- - com.mapd.thrift.server.TTablePermissions

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTablePermissions>`, `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`, `org.apache.thrift.TSerializable`

    public class TTablePermissions
    extends Object
    implements org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>, Serializable, Cloneable, Comparable<TTablePermissions>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTablePermissions._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `alter_`
`boolean` `create_`
`boolean` `delete_`
`boolean` `drop_`
`boolean` `insert_`
`static Map<TTablePermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `select_`
`boolean` `truncate_`
`boolean` `update_`

### Constructor Summary

Constructors
`TTablePermissions()`
`TTablePermissions​(boolean create_, boolean drop_, boolean select_, boolean insert_, boolean update_, boolean delete_, boolean truncate_, boolean alter_)`
`TTablePermissions​(TTablePermissions other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TTablePermissions other)`
`TTablePermissions` `deepCopy()`
`boolean` `equals​(TTablePermissions that)`
`boolean` `equals​(Object that)`
`TTablePermissions._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TTablePermissions._Fields field)`
`int` `hashCode()`
`boolean` `isAlter_()`
`boolean` `isCreate_()`
`boolean` `isDelete_()`
`boolean` `isDrop_()`
`boolean` `isInsert_()`
`boolean` `isSelect_()`
`boolean` `isSet​(TTablePermissions._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetAlter_()` Returns true if field alter_ is set (has been assigned a value) and false otherwise
`boolean` `isSetCreate_()` Returns true if field create_ is set (has been assigned a value) and false otherwise
`boolean` `isSetDelete_()` Returns true if field delete_ is set (has been assigned a value) and false otherwise
`boolean` `isSetDrop_()` Returns true if field drop_ is set (has been assigned a value) and false otherwise
`boolean` `isSetInsert_()` Returns true if field insert_ is set (has been assigned a value) and false otherwise
`boolean` `isSetSelect_()` Returns true if field select_ is set (has been assigned a value) and false otherwise
`boolean` `isSetTruncate_()` Returns true if field truncate_ is set (has been assigned a value) and false otherwise
`boolean` `isSetUpdate_()` Returns true if field update_ is set (has been assigned a value) and false otherwise
`boolean` `isTruncate_()`
`boolean` `isUpdate_()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TTablePermissions` `setAlter_​(boolean alter_)`
`void` `setAlter_IsSet​(boolean value)`
`TTablePermissions` `setCreate_​(boolean create_)`
`void` `setCreate_IsSet​(boolean value)`
`TTablePermissions` `setDelete_​(boolean delete_)`
`void` `setDelete_IsSet​(boolean value)`
`TTablePermissions` `setDrop_​(boolean drop_)`
`void` `setDrop_IsSet​(boolean value)`
`void` `setFieldValue​(TTablePermissions._Fields field, Object value)`
`TTablePermissions` `setInsert_​(boolean insert_)`
`void` `setInsert_IsSet​(boolean value)`
`TTablePermissions` `setSelect_​(boolean select_)`
`void` `setSelect_IsSet​(boolean value)`
`TTablePermissions` `setTruncate_​(boolean truncate_)`
`void` `setTruncate_IsSet​(boolean value)`
`TTablePermissions` `setUpdate_​(boolean update_)`
`void` `setUpdate_IsSet​(boolean value)`
`String` `toString()`
`void` `unsetAlter_()`
`void` `unsetCreate_()`
`void` `unsetDelete_()`
`void` `unsetDrop_()`
`void` `unsetInsert_()`
`void` `unsetSelect_()`
`void` `unsetTruncate_()`
`void` `unsetUpdate_()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### create_

    public boolean create_

#### drop_

    public boolean drop_

#### select_

    public boolean select_

#### insert_

    public boolean insert_

#### update_

    public boolean update_

#### delete_

    public boolean delete_

#### truncate_

    public boolean truncate_

#### alter_

    public boolean alter_

#### metaDataMap

    public static final Map<TTablePermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTablePermissions

    public TTablePermissions()

#### TTablePermissions

    public TTablePermissions​(boolean create_,
                             boolean drop_,
                             boolean select_,
                             boolean insert_,
                             boolean update_,
                             boolean delete_,
                             boolean truncate_,
                             boolean alter_)

#### TTablePermissions

    public TTablePermissions​(TTablePermissions other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTablePermissions deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`

#### isCreate_

    public boolean isCreate_()

#### setCreate_

    public TTablePermissions setCreate_​(boolean create_)

#### unsetCreate_

    public void unsetCreate_()

#### isSetCreate_

    public boolean isSetCreate_()

Returns true if field create_ is set (has been assigned a value) and false otherwise

#### setCreate_IsSet

    public void setCreate_IsSet​(boolean value)

#### isDrop_

    public boolean isDrop_()

#### setDrop_

    public TTablePermissions setDrop_​(boolean drop_)

#### unsetDrop_

    public void unsetDrop_()

#### isSetDrop_

    public boolean isSetDrop_()

Returns true if field drop_ is set (has been assigned a value) and false otherwise

#### setDrop_IsSet

    public void setDrop_IsSet​(boolean value)

#### isSelect_

    public boolean isSelect_()

#### setSelect_

    public TTablePermissions setSelect_​(boolean select_)

#### unsetSelect_

    public void unsetSelect_()

#### isSetSelect_

    public boolean isSetSelect_()

Returns true if field select_ is set (has been assigned a value) and false otherwise

#### setSelect_IsSet

    public void setSelect_IsSet​(boolean value)

#### isInsert_

    public boolean isInsert_()

#### setInsert_

    public TTablePermissions setInsert_​(boolean insert_)

#### unsetInsert_

    public void unsetInsert_()

#### isSetInsert_

    public boolean isSetInsert_()

Returns true if field insert_ is set (has been assigned a value) and false otherwise

#### setInsert_IsSet

    public void setInsert_IsSet​(boolean value)

#### isUpdate_

    public boolean isUpdate_()

#### setUpdate_

    public TTablePermissions setUpdate_​(boolean update_)

#### unsetUpdate_

    public void unsetUpdate_()

#### isSetUpdate_

    public boolean isSetUpdate_()

Returns true if field update_ is set (has been assigned a value) and false otherwise

#### setUpdate_IsSet

    public void setUpdate_IsSet​(boolean value)

#### isDelete_

    public boolean isDelete_()

#### setDelete_

    public TTablePermissions setDelete_​(boolean delete_)

#### unsetDelete_

    public void unsetDelete_()

#### isSetDelete_

    public boolean isSetDelete_()

Returns true if field delete_ is set (has been assigned a value) and false otherwise

#### setDelete_IsSet

    public void setDelete_IsSet​(boolean value)

#### isTruncate_

    public boolean isTruncate_()

#### setTruncate_

    public TTablePermissions setTruncate_​(boolean truncate_)

#### unsetTruncate_

    public void unsetTruncate_()

#### isSetTruncate_

    public boolean isSetTruncate_()

Returns true if field truncate_ is set (has been assigned a value) and false otherwise

#### setTruncate_IsSet

    public void setTruncate_IsSet​(boolean value)

#### isAlter_

    public boolean isAlter_()

#### setAlter_

    public TTablePermissions setAlter_​(boolean alter_)

#### unsetAlter_

    public void unsetAlter_()

#### isSetAlter_

    public boolean isSetAlter_()

Returns true if field alter_ is set (has been assigned a value) and false otherwise

#### setAlter_IsSet

    public void setAlter_IsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTablePermissions._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTablePermissions._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`

#### isSet

    public boolean isSet​(TTablePermissions._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTablePermissions that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTablePermissions other)

Specified by:
  `compareTo` in interface `Comparable<TTablePermissions>`

#### fieldForId

    public TTablePermissions._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTablePermissions,​TTablePermissions._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`